>From fb247d83b95ce04ad5e84489e731338f13dbb19a Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Kempf <jb@videolan.org>
Date: Sun, 12 Jun 2011 20:13:16 +0200
Subject: [PATCH] Sap: Android lacks if_nameindex

---
 modules/services_discovery/sap.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/services_discovery/sap.c b/modules/services_discovery/sap.c
index 16c0a75..5e63de2 100644
--- a/modules/services_discovery/sap.c
+++ b/modules/services_discovery/sap.c
@@ -467,7 +467,7 @@ static void *Run( void *data )
     InitSocket( p_sd, SAP_V4_LINK_ADDRESS, SAP_PORT );
 
     char psz_address[NI_MAXNUMERICHOST] = "ff02::2:7ffe%";
-#ifndef WIN32
+#if !defined( WIN32 ) && !defined( __ANDROID__ )
     struct if_nameindex *l = if_nameindex ();
     if (l != NULL)
     {
@@ -479,7 +479,7 @@ static void *Run( void *data )
         }
         if_freenameindex (l);
     }
-#else
+#elif defined(WIN32)
         /* this is the Winsock2 equivalant of SIOCGIFCONF on BSD stacks,
            which if_nameindex uses internally anyway */
 
-- 
1.7.5.4

